package com.realnet.pack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.pack.Entity.Wire;
import com.realnet.pack.Services.WireService ;






@RequestMapping(value = "/Wire")
 @CrossOrigin("*") 
@RestController
public class WireController {
	@Autowired
	private WireService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Wire")
		  public Wire Savedata(@RequestBody Wire data) {
		Wire save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Wire/{id}")
	public  Wire update(@RequestBody Wire data,@PathVariable Integer id ) {
		Wire update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Wire/getall/page")
	public Page<Wire> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Wire> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Wire")
	public List<Wire> getdetails() {
		 List<Wire> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Wire")
	public List<Wire> getallwioutsec() {
		 List<Wire> get = Service.getdetails();		
		return get;
}
@GetMapping("/Wire/{id}")
	public  Wire  getdetailsbyId(@PathVariable Integer id ) {
		Wire  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Wire/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}